Package org.gradle.api.plugins.scala

# Class ScalaBasePlugin

java.lang.Object
org.gradle.api.plugins.scala.ScalaBasePlugin

All Implemented Interfaces:
  `Plugin<Project>`

public class ScalaBasePlugin extends Object implements Plugin<Project>

A `Plugin` which compiles and tests Scala sources.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SCALA_RUNTIME_EXTENSION_NAME`
`static final String`
`ZINC_CONFIGURATION_NAME`

## Constructor Summary

Constructors
Constructor
Description
`ScalaBasePlugin(org.gradle.api.internal.file.SourceDirectorySetFactory sourceDirectorySetFactory)`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Project project)`
Apply this plugin to the given target object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ZINC_CONFIGURATION_NAME

public static final String ZINC_CONFIGURATION_NAME

See Also:
  - Constant Field Values

### SCALA_RUNTIME_EXTENSION_NAME

public static final String SCALA_RUNTIME_EXTENSION_NAME

See Also:
  - Constant Field Values

## Constructor Details

### ScalaBasePlugin

@Inject public ScalaBasePlugin(org.gradle.api.internal.file.SourceDirectorySetFactory sourceDirectorySetFactory)

## Method Details

### apply

public void apply(Project project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<Project>`
Parameters:
  `project` - The target object